{*
    wX Slide Show Image Browser
    version 1.1.0.3
    Copyright (C) 1999 jens.hansen
    visit www.shockmode.de
*}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ImgList, StdCtrls,  ExtCtrls, FileCtrl, JPEG, GifImage,
  shellutils, Unit2, Unit5;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    ImageList1: TImageList;
    File1: TMenuItem;
    SlideShow1: TMenuItem;
    arschmadecom1: TMenuItem;
    Execute1: TMenuItem;
    Delete1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Start1: TMenuItem;
    Settings1: TMenuItem;
    HideFolder1: TMenuItem;
    Panel1: TPanel;
    Panel2: TPanel;
    DriveComboBox1: TDriveComboBox;
    FilterComboBox1: TFilterComboBox;
    DirectoryListBox1: TDirectoryListBox;
    FileListBox1: TFileListBox;
    ScrollBox1: TScrollBox;
    Image2: TImage;
    Timer1: TTimer;
    procedure FileListBox1Click(Sender: TObject);
    procedure Execute1Click(Sender: TObject);
    procedure Delete1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure HideFolder1Click(Sender: TObject);
    procedure Start1Click(Sender: TObject);
    procedure Settings1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure NavigateWeb(Sender: TObject);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}

procedure TForm1.FileListBox1Click(Sender: TObject);
var
   ende : string;
   f: file of Byte;
begin
  ende := LowerCase(ExtractFileExt(FileListBox1.Filename));
  if (ende = '.jpg') then
  begin
    Image2.Picture.RegisterFileFormat('jpg', 'Jpeg', TjpegImage);
    Image2.Picture.LoadFromFile(FileListBox1.Filename);
  end;
  if (ende = '.bmp') then
  begin
    Image2.Picture.LoadFromFile(FileListBox1.Filename);
  end;
  if (ende = '.gif') then
  begin
    Image2.Picture.RegisterFileFormat('gif', 'GIF', TGifImage);
    Image2.Picture.LoadFromFile(Filelistbox1.Filename);
  end;
end;

procedure TForm1.Execute1Click(Sender: TObject);
begin
  if FileListBox1.Filename <> '' then
     ExecuteFile(FileListBox1.Filename, '', '', sw_show);
end;

procedure TForm1.Delete1Click(Sender: TObject);
begin
  if FileListbox1.Filename <> '' then
  begin
     if MessageDlg('Delete ' + FileListbox1.Filename + ' ?', mtwarning, [mbyes, mbno], 0) = mryes then
     begin
       DeleteFile(FileListBox1.Filename);
       FileListBox1.Update;
     end;
  end;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.HideFolder1Click(Sender: TObject);
begin
  if MessageDlg('Hide Folder?', mtcustom, [mbyes, mbno], 0) = mryes then
  begin
    FileSetAttr(Form1.DirectoryListBox1.Directory, faHidden);
    Form1.DirectoryListBox1.Refresh;
    Form1.FileListBox1.Refresh;
  end;
end;

procedure TForm1.Start1Click(Sender: TObject);
begin
  Form5.Button1.Caption := 'Run the show :-)';
  Form5.ShowModal;
  Form2.Timer2.enabled := true;
  Form2.ShowModal;
end;

procedure TForm1.Settings1Click(Sender: TObject);
begin
  Form5.Button1.Caption := 'OK';
  Form5.ShowModal;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Execute1.Enabled :=
   FileListBox1.Items.Count > 0;
  start1.Enabled :=
   FileListBox1.Items.Count > 0;
  execute1.Enabled :=
   FileListBox1.Items.Count > 0;
  delete1.Enabled :=
   FileListBox1.Items.Count > 0;
end;

procedure TForm1.NavigateWeb(Sender: TObject);
begin
  ExecuteFile('http://www.shockmode.de', '', '', sw_show);
end;

end.
